EDIT - feature request #7589

Performance, UX and stability patches for CharacterMatrix
07/26/2018 01:34 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 0%
Category: taxeditor Estimated time: 0:00 hour

Target version:

Severity: normal

Description

This ticket is for collecting all the changes done to improve the stability and performance and the user experience of the Character
matrix editor

Related issues:
Copied from EDIT - feature request #7657: Use HQL query for loading character... Rejected

Associated revisions

Revision 78e01af4 - 07/26/2018 01:40 PM - Patrick Plitzner

ref #7589 Use progress monitor client manager to load character data

Revision d445b8eb - 07/26/2018 05:30 PM - Patrick Plitzner

ref #7589 Update message for missing nodes for descriptions

Revision 240bf2da - 07/26/2018 05:30 PM - Patrick Plitzner

ref #7589 Delete taxon node from descriptive data set

Revision 683a6f90 - 07/27/2018 04:09 PM - Patrick Plitzner

ref #7589 Improve description search when adding specimens to the matrix

Revision ed8e3da9 - 09/25/2018 07:32 AM - Patrick Plitzner
ref #7589 Fix initial loading of matrix

Revision 0848df46 - 10/15/2018 05:05 PM - Patrick Plitzner

ref #7589 Move long running task to corresponding service

e this solves the deadlocks when opening the matrix editor

Revision 412ba757 - 10/15/2018 05:05 PM - Patrick Plitzner

ref #7589 Remove auto creation of default description

Revision a3141e13 - 10/15/2018 05:05 PM - Patrick Plitzner

ref #7589 Fix transactional annotations

Revision ee370389 - 10/15/2018 05:05 PM - Patrick Plitzner
ref #7589 Adapt to service layer changes

Revision 353bb041 - 12/04/2018 03:38 PM - Patrick Plitzner

ref #7589 Only add characters as matrix columns

Revision 83fc192e - 12/07/2018 01:25 PM - Patrick Plitzner

ref #7589 Only add characters as matrix columns

Revision 2c28be6a - 12/17/2018 07:38 AM - Patrick Plitzner
ref #7589 Remove UpdateResult handling from CharacterMatrix
Revision 7b6b3222 - 12/17/2018 07:40 AM - Patrick Plitzner

ref #7589 Remove reference to default taxon desc from row wrapper

Revision 11a549d1 - 12/17/2018 01:07 PM - Patrick Plitzner

ref #7589 Use TaxonNodeDtos in character matrix

Revision 1903cf2b - 12/17/2018 01:08 PM - Patrick Plitzner
ref #7589 Remove UpdateResult handling from CharacterMatrix

Revision 8d9¢5176 - 12/17/2018 01:09 PM - Patrick Plitzner

ref #7589 Move description deletion to service layer

Revision 1b2a87f1 - 12/17/2018 01:18 PM - Patrick Plitzner

ref #7589 Remove reference to default taxon desc from row wrapper

Revision 6a6f0c52 - 12/17/2018 01:18 PM - Patrick Plitzner

ref #7589 Add service method for description deletion for data sets

Revision 0770bcab - 12/17/2018 01:18 PM - Patrick Plitzner

ref #7589 Use TaxonNodeDtos in row wrappers

Revision c2dffO0ee - 12/18/2018 02:16 PM - Patrick Plitzner

ref #7589 Add service method to find taxon description by marker

Revision e4f5a8e2 - 12/18/2018 02:16 PM - Patrick Plitzner

ref #7589 Only allow one single default taxon description per taxon

Revision 076adbba - 12/18/2018 02:16 PM - Patrick Plitzner

ref #7589 Check dirty state before executing handler or button actions

Revision 12cd46ae - 12/19/2018 12:32 PM - Patrick Plitzner

ref #7589 Fix order of parent taxon nodes

Revision 581b3ae7 - 12/21/2018 10:04 AM - Patrick Plitzner

ref #7589 Removed unnecessary sorting

Revision a8858124 - 01/14/2019 10:41 AM - Patrick Plitzner

ref #7589 Confirm description deletion in character matrix

Revision 7c4f09a1 - 01/14/2019 10:41 AM - Patrick Plitzner
ref #7589 Fix default description icon

Revision de022d06 - 05/03/2019 11:32 AM - Patrick Plitzner
ref #7589 Temporarily disable auto-aggregation

® will probably be completely removed in future

Revision 27064204 - 06/13/2019 04:56 PM - Patrick Plitzner

ref #7589 Fix multiple selection for categorical data in matrix editor

Revision 7f3f2b38 - 06/19/2019 12:21 PM - Patrick Plitzner

ref #7589 Layer refactoring for character matrix

Revision e9¢37045 - 06/20/2019 05:27 PM - Patrick Plitzner

ref #7589 Save matrix rows in one service call

History
#1 - 07/26/2018 01:36 PM - Patrick Plitzner
changes:
xeditor|b4f 26e81124 7d94 1077

taxeditor|b5a4b38f8c40957ef909259004fa518488de4945
taxeditor|bd0b8f0ec4723d4e0a390c11cc2951d0868fd070

xeditor|5c3feb2585{88f 1d3dfb18f7e23c2a1922
taxeditor|d766bf95f43cf9eb2290982323621150dce6064

mlib|d4 fa07 27d013ad4b116149519928f2
cdmliblaeaef606fdc4889646d860bd469d42425a98ea90
cdmlib|e8756d0bc6f2881b21ea3d182f8fa1e8t50d2936

#2 - 08/22/2018 08:41 AM - Patrick Plitzner
cdmlib|d9c0665584{d689621509488a82c6649abb84d4

#3 - 08/22/2018 08:43 AM - Patrick Plitzner

- Copied from feature request #7657: Use HQL query for loading character matrix added

#4 - 08/08/2019 08:36 AM - Patrick Plitzner

Closing this ticket to avoid getting to big -> Opening new ticket with specific UX issues -> #8450

#5 - 08/08/2019 08:36 AM - Patrick Plitzner
- Status changed from New to Closed

- Target version deleted (Unassigned CDM tickets)

#6 - 08/13/2019 11:25 AM - Patrick Plitzner

- Tags changed from additivity to additivity, performance, Usability
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/b4f09ad3c826e81124053685a7d946a3c9b10778
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/b5a4b38f8c40957ef909259004fa518488de4945
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/bd0b8f0ec4723d4e0a390c11cc2951d0868fd070
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/5c3feb2585f88f3e8bb1d3dfb18f7e23c2a19228
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/d766bf95f43cf9eb229b982323621150dce606f4
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/d49e88fa07060edc27d013ad4b116149519928f2
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/aeaef606fdc4889646d860bd469d42425a98ea90
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/e8756d0bc6f2881b21ea3d182f8fa1e8f50d2936
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/d9c066f5584fd689621509488a82c6649abb84d4
https://dev.e-taxonomy.eu/redmine/issues/8450
